%define dist Params-Validate
Name: perl-%dist
Version: 0.74
Release: alt1

Summary: Validate method/function parameters
License: GPL or Artistic
Group: Development/Perl

URL: %CPAN %dist
Source: %dist-%version.tar.bz2

# Automatically added by buildreq on Thu Jul 01 2004
BuildRequires: perl-devel

%description
The Params::Validate module allows you to validate method or function
call parameters to an arbitrary level of specificity.  At the simplest
level, it is capable of validating the required parameters were given
and that no unspecified additional parameters were passed in.

%prep
%setup -q -n %dist-%version

%build
%perl_vendor_build

%install
%add_findreq_skiplist */Validate??.pm
%perl_vendor_install

%files
%doc README Changes TODO
%perl_vendor_archlib/Params*
%perl_vendor_autolib/Params*
%perl_vendor_man3dir/Params*
%perl_vendor_archlib/Attribute*
#perl_vendor_autolib/Attribute*
%perl_vendor_man3dir/Attribute*

%changelog
* Thu Jul 01 2004 Alexey Tourbin <at@altlinux.ru> 0.74-alt1
- initial revision
